# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/as /usr/bin/gzip /usr/bin/makeinfo gcc-c++ libbsd-devel
# END SourceDeps(oneline)
Requires(pre): /proc
BuildRequires: /proc
Name:           gauche
Version:        0.9.3.3
Release:        alt1_3
Summary:        Scheme script interpreter with multibyte character handling

Group:          Development/Other
%if 0%{?rhel}
%endif
License:        BSD
URL:            http://practical-scheme.net/gauche/index.html
Source:         http://download.sourceforge.net/gauche/Gauche-%{version}.tgz

%if 0%{?el5}
%endif

BuildRequires:  gdbm-devel
BuildRequires:  texinfo
Requires:       slib
ExcludeArch:    ppc64

%define main_version 0.9
Source44: import.info

%description
Gauche is a Scheme interpreter conforming Revised^5 Report on
Algorithmic Language Scheme.  It is designed for rapid development of
daily tools like system management and text processing.  It can handle
multibyte character strings natively.


%package devel
Summary:        Development files for Gauche
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for Gauche.


%prep
%setup -q -n Gauche-%{version}


%build
%configure --with-rpath=no --enable-threads=pthreads --enable-multibyte=utf-8 --with-slib=%{_datadir}/slib
LD_LIBRARY_PATH=`pwd`/src make %{_smp_mflags} \
%ifarch %{ix86}
  OPTFLAGS="-fomit-frame-pointer"
%else
  %{nil}
%endif


%install
%if 0%{?el5}
rm -fr $RPM_BUILD_ROOT
%endif
LD_LIBRARY_PATH=`pwd`/src make DESTDIR=$RPM_BUILD_ROOT install-pkg
LD_LIBRARY_PATH=`pwd`/src make DESTDIR=$RPM_BUILD_ROOT install-doc

# correct permissions
chmod -R u+w $RPM_BUILD_ROOT
chmod 0644 examples/grep.scm
chmod 0644 ext/template.*

# remove japanese doc
rm -f $RPM_BUILD_ROOT%{_infodir}/gauche-refj.*

touch $RPM_BUILD_ROOT%{_datadir}/gauche-%{main_version}/%{version}/lib/slibcat

# this things go into the doc of the devel package
rm -f $RPM_BUILD_ROOT%{_datadir}/gauche/%{version}/template*
rm -f $RPM_BUILD_ROOT%{_datadir}/gauche/%{version}/aclocal*

# make .c files readable for debuginfo
find -name '*.c' | xargs chmod 0644


%check
cd src; LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir} make test


%post
/usr/bin/gosh -u slib -e "(require 'logical)" -e "(exit 0)" > /dev/null 2>&1 || echo


%files
%{_bindir}/gauche-cesconv
%{_bindir}/gauche-install
%{_bindir}/gauche-package
%{_bindir}/gosh
%{_libdir}/libgauche-%{main_version}.so.*
%{_libdir}/gauche-%{main_version}
%{_infodir}/*
%{_mandir}/man*/gosh.*
%{_mandir}/man*/gauche-cesconv.*
%{_mandir}/man*/gauche-install.*
%{_mandir}/man*/gauche-package.*
%{_datadir}/gauche-%{main_version}
%exclude %{_datadir}/gauche-%{main_version}/%{version}/template*
%exclude %{_libdir}/gauche-%{main_version}/%{version}/include
%ghost %{_datadir}/gauche-%{main_version}/%{version}/lib/slibcat
%doc ChangeLog AUTHORS VERSION README NEWS examples COPYING


%files devel
%{_bindir}/gauche-config
%{_libdir}/libgauche-%{main_version}.so
%{_libdir}/gauche-%{main_version}/%{version}/include
%{_datadir}/gauche-%{main_version}/%{version}/template*
%{_datadir}/aclocal/gauche.m4
%{_mandir}/man*/gauche-config*
%doc ext/template.*


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.3.3-alt1_3
- update to new release by fcimport

* Sat Jan 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.3.3-alt1_2
- initial fc import

